Bug 242410 - FC7 random system freeze, libata?
FC7 random system freeze, libata?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2007-06-04 02:19 EDT by Rene Rattur
Modified: 2013-07-02 22:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.6.21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 16:16:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/dmesg (15.45 KB, text/plain)
2007-06-05 02:07 EDT, Rene Rattur
no flags Details
/var/log/messages (910.75 KB, text/plain)
2007-06-05 02:08 EDT, Rene Rattur
no flags Details
Smolt profile (6.28 KB, text/plain)
2007-06-05 02:08 EDT, Rene Rattur
no flags Details

  None (edit)
Description Rene Rattur 2007-06-04 02:19:19 EDT
Description of problem:
I installed FC7 and the system keeps crashing, sometimes during bootup, loading
gnome or while in gnome.  For example, while in a virtual terminal and copying a
lot of files, the system freezes, then I'm lucky enough to get a kernel stack
trace.  It goes through libata and EIP points to spinlock_unlock or something.
The kernel seams to have problems with handling some sort of software
interrupts. I'll try to post a attachment of the stack trace tomorrow -- system
logs don't seem to contain it, gonna need a good old pen and paper.

Version-Release number of selected component (if applicable):
stock FC7 kernel without XEN

How reproducible:
It reproduces itself :)
  
Actual results:
System freeze.


Expected results:
Fully functional system and a happy fedora user :)

Additional info:

Hardware specs:
    Matsonic MS8157E
    VIA KM266
    AMD Duron 1.3 GHz
    384 MiB SDRAM
    40 GiB Samsung harddrive
    Nvidia Geforce FX5200
Comment 1 Rene Rattur 2007-06-05 02:06:24 EDT
OK I get to different stack trace, the first one occurs during boot-up and the
second one when in virtual terminal.

1) Call Trace:
[<c04064da>] die+0x199/0x240
[<c04067d7>] do_divide_error+0x0/0xa8
[<c0406876>] do_divide_error+0x9f/0xa8
[<c060171d>] _spin_unlock_irqrestore+0x8/0x9
[<c041fab5>] __wake_up_common+0x32/0x55
[<c0420991>] complete+0x39/0x48
[<d88f80cd>] __ata_qc_complete+0x8c/0x92 [libata]
[<d88f816c>] ata_qc_complete+0x99/0xa9 [libata]
[<d88f86e6>] ata_hsm_qc_complete+0xb6/0xc1 [libata]
[<c060190c>] error_code+0x7c/0x84
[<c060171d>] _spin_unlock_irqrestore+0x8/0x9
[<d88fc1c0>] ata_interrupt+0x1c5/0x1d7 [libata]
[<c04521aa>] handle_IRQ_event+0x1a/0x3f
[<c04535ea>] handle_level_irq+0x81/0xc7
[<c0453569>] handle_level_irq+0x0/0xc7
[<c04072bb>] do_IRQ+0xac/0xd1
[<c04058ff>] common_interrupt+0x23/0x28

Code: e2 ff 90 fe 06 79 09 f3 90 80 3b 00 7e f9 eb f2 5b c3 31 d2 86 10 31 c0 84
d2 0f 9f c0 c3 b2 01 86 10 c3 89 d1 b2 01 86 10 51 9d <c3> b2 01 86 10 fb c3 90
83 28 01 79 05 e8 e9 fc ff ff c3 9c 5a

EIP: [<c060171d>] _spin_unlock_irqrestore+0x8/0x9 SS:ESP 0068:c077ce7c
Kernel panic - not syncing: Fatal exception in interrupt
--------------------------------------------------------------------------------

Here's the second one, I ommited memory addresses (too much typing):
  __delay
  panic
  do_exit
  die
  do_divide_error
  do_divide_error
  default_idle
  enqueue_hrtimer
  hrtimer_start
  ktime_get
  handle_level_irq
  do_IRQ
  error_code
  default_idle
  default_idle
  cpu_idle
  start_kernel
  unknown_bootoption

EIP: [<c04e6611>] delay_tsc+0xd/0x13 SS:ESP 0068:c0716e58
Kernel panic - not syncing: Attempted to kill the idle task!
Comment 2 Rene Rattur 2007-06-05 02:07:35 EDT
Created attachment 156173 [details]
/var/log/dmesg
Comment 3 Rene Rattur 2007-06-05 02:08:30 EDT
Created attachment 156174 [details]
/var/log/messages
Comment 4 Rene Rattur 2007-06-05 02:08:58 EDT
Created attachment 156175 [details]
Smolt profile
Comment 5 wljonespe 2007-07-16 15:44:11 EDT
Computer freezes with 2.6.21-3228.fc7, does not freeze with
2.6.20-2925.11.fc7xen (used only with fc7), with Windows xp, or with
OpenSUSE10.2, all on the same computer, HP m7259c with AMD64x2 processor and 2GB
memory.  Freeze time is random, but fast reboot means fast freeze.
Comment 6 wljonespe 2007-07-19 21:28:07 EDT
This bug fixed for me with updates of 7/17/07 and 7/19/07.  Installing updates
was difficult, so I cannot tell which one did it.
Comment 7 Christopher Brown 2007-09-13 16:16:37 EDT
Hello folks,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug.

There hasn't been much activity on this bug for a while and it appears resolved.
I am therefore closing. If I have erred, please forgive me and re-open with any
additional information you are able to give. I will then try and assist you if I
can.

Cheers
Chris

Note You need to log in before you can comment on or make changes to this bug.